## kubuntu-konqueror-shortcuts 0.1

=== Makefile ===
#
# Makefile for Kubuntu Helpers
# (C) 2005 by Stephan Hermann <sh@sourcecode.de>
#

ifndef DESTDIR
DESTDIR=
endif

providers=	ubugno.desktop  \
		ubw.desktop \
		ubws.desktop

SERVICE_DIR=$(shell /usr/bin/kde-config --expandvars --install services)

SEARCHPROVIDERS:=$(SERVICE_DIR)/searchproviders

all: install

install: searchproviders

searchproviders: $(providers)

%.desktop: 
	@echo "Installing: $(DESTDIR)$(SEARCHPROVIDERS)/$@"
	install -D -m 644 searchproviders/$@ $(DESTDIR)$(SEARCHPROVIDERS)/$@

## kubuntu-konqueror-shortcuts 0.3-0ubuntu1

=== Makefile ===
--- 
+++ 
@@ -7,9 +7,12 @@
 DESTDIR=
 endif
 
-providers=	ubugno.desktop  \
-		ubw.desktop \
-		ubws.desktop
+providers=	ubug.desktop \
+		uwiki.desktop \
+		uwikis.desktop \
+		lpproduct.desktop \
+                usource.desktop \
+                upackage.desktop
 
 SERVICE_DIR=$(shell /usr/bin/kde-config --expandvars --install services)
 
@@ -24,6 +27,3 @@
 %.desktop: 
 	@echo "Installing: $(DESTDIR)$(SEARCHPROVIDERS)/$@"
 	install -D -m 644 searchproviders/$@ $(DESTDIR)$(SEARCHPROVIDERS)/$@
-
-
-

=== debian/changelog ===
kubuntu-konqueror-shortcuts (0.3-0ubuntu1) dapper; urgency=low

  * Launchpad by default, not bugzilla
  * Make shortcuts more memorable, now ubug, uwiki and uwikis
  * Add usource and upackage for packages on Launchpad

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon,  3 Apr 2006 15:02:13 +0100

kubuntu-konqueror-shortcuts (0.2-0ubuntu1) dapper; urgency=low

  * Added two new searchproviders for konqeuror
    + lpbug and lpproduct 

 -- Stephan Hermann <sh@sourcecode.de>  Thu, 12 Jan 2006 14:40:53 +0100

kubuntu-konqueror-shortcuts (0.1-0ubuntu2) breezy; urgency=low

  * Update ubw for moin wiki.
  * Remove duplicate entry from ubws

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Jul 2005 20:03:09 +0000

kubuntu-konqueror-shortcuts (0.1-0ubuntu1) breezy; urgency=low

  * Initial Release
  * Thx to Doko and Riddell for all the tricks ;)

 -- Stephan Hermann <sh@sourcecode.de>  Mon, 06 Jun 2005 13:57:44 +0200

=== debian/control ===
Source: kubuntu-konqueror-shortcuts
Section: kde
Priority: optional
Maintainer: Stephan Hermann <sh@sourcecode.de>
Build-Depends-Indep: debhelper (>= 5.0.0), kdelibs-dev
Standards-Version: 3.6.2

Package: kubuntu-konqueror-shortcuts
Section: kde
Architecture: all
Depends: ${misc:Depends}, konqueror
Description: Konqueror shortcuts for the Ubuntu wiki and bugzilla
 The shortcuts are:
  uwiki: Ubuntu Wiki Direct Access
  uwikis: Ubuntu Wiki Search
  ubug: Ubuntu Launchpad Bug Number
  usource: Ubuntu Source Packages
  upackage: Ubuntu Binary Packages

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


build: 

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	dh_clean 

install: 
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/njam.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/

	# dh_install -a -pkubuntu-konqueror-shortcuts 
# Build architecture-independent files here.

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs -a -pkubuntu-konqueror-shortcuts
	dh_installchangelogs -a -pkubuntu-konqueror-shortcuts ChangeLog
	dh_link -a -pkubuntu-konqueror-shortcuts
	dh_strip -a -pkubuntu-konqueror-shortcuts
	dh_compress -a -pkubuntu-konqueror-shortcuts
	dh_fixperms -a -pkubuntu-konqueror-shortcuts
	dh_install -a -pkubuntu-konqueror-shortcuts
	dh_installdeb -a -pkubuntu-konqueror-shortcuts
	dh_gencontrol -a -pkubuntu-konqueror-shortcuts
	dh_md5sums -a -pkubuntu-konqueror-shortcuts
	dh_builddeb -a -pkubuntu-konqueror-shortcuts


binary: binary-indep 
.PHONY: clean binary-indep install

## kubuntu-konqueror-shortcuts 0.3-0ubuntu2

=== debian/changelog ===
kubuntu-konqueror-shortcuts (0.3-0ubuntu2) feisty; urgency=low

  * debian/control: Update maintainer fields according to debian-
    maintainer-field spec.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 26 Feb 2007 08:49:37 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kubuntu-konqueror-shortcuts
 Section: kde
 Priority: optional
-Maintainer: Stephan Hermann <sh@sourcecode.de>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stephan Hermann <sh@sourcecode.de>
 Build-Depends-Indep: debhelper (>= 5.0.0), kdelibs-dev
 Standards-Version: 3.6.2

## kubuntu-konqueror-shortcuts 0.4

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #
 # Makefile for Kubuntu Helpers
+# (C) 2007 by Harald Sitter <sitter.harald@gmail.com>
 # (C) 2005 by Stephan Hermann <sh@sourcecode.de>
 #
 
@@ -7,12 +8,14 @@
 DESTDIR=
 endif
 
-providers=	ubug.desktop \
+providers=	lpbug.desktop \
+		lpproduct.desktop \
+		lpsource.desktop \
+		uhelp.desktop \
+		uhelps.desktop \
+		upackage.desktop \
 		uwiki.desktop \
-		uwikis.desktop \
-		lpproduct.desktop \
-                usource.desktop \
-                upackage.desktop
+		uwikis.desktop
 
 SERVICE_DIR=$(shell /usr/bin/kde-config --expandvars --install services)

=== debian/changelog ===
kubuntu-konqueror-shortcuts (0.4) gutsy; urgency=low

  * Fixed lpproduct.desktop query (Closes Malone #94265)
  * Updated all queries for new launchpad
  * Changed upackage.desktop to query packages.ubuntu.com instead of launchpad
  * Renamed 'ubug' to 'lpbug' and 'usource' to 'lpsource'
  * Enhanced README file

 -- Harald Sitter <sitter.harald@gmail.com>  Wed, 18 Apr 2007 15:11:14 +0200

=== debian/control ===
Source: kubuntu-konqueror-shortcuts
Section: kde
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Stephan Hermann <sh@sourcecode.de>
Build-Depends-Indep: debhelper (>= 5.0.0), kdelibs-dev
Standards-Version: 3.7.2

Package: kubuntu-konqueror-shortcuts
Section: kde
Architecture: all
Depends: ${misc:Depends}, konqueror
Description: Konqueror shortcuts for the Kubuntu wiki, Ubuntu Docs and Launchpad
 The shortcuts are:
  ubw: Kubuntu Wiki Direct Access
  ubws: Kubuntu Wiki Search
  uhelp: Ubuntu Community Docs Direct Access
  uhelps: Ubuntu Community Docs Search
  upkg: Ubuntu Package Search
  ubug: Ubuntu Launchpad BugID and Term Search 
  usrc: Ubuntu Source Packages
  uproduct: Ubuntu Launchpad Product Bug Finder

## kubuntu-konqueror-shortcuts 0.5

=== Makefile ===
--- 
+++ 
@@ -8,14 +8,7 @@
 DESTDIR=
 endif
 
-providers=	lpbug.desktop \
-		lpproduct.desktop \
-		lpsource.desktop \
-		uhelp.desktop \
-		uhelps.desktop \
-		upackage.desktop \
-		uwiki.desktop \
-		uwikis.desktop
+providers=	$(shell /bin/ls searchproviders)
 
 SERVICE_DIR=$(shell /usr/bin/kde-config --expandvars --install services)

=== debian/changelog ===
kubuntu-konqueror-shortcuts (0.5) hardy; urgency=low

  * Updated upackage.desktop to use the new URL form
  * Bumped Standards-Version to 3.7.3
  * Added lppeople.desktop
  * Added brainstorm.desktop
  * Install .desktop in /usr/lib/kde4 too, so that Konqueror4 can use them
  * Fixed some Lintian warnings and errors

 -- Guillaume Martres <smarter@ubuntu.com>  Wed, 12 Mar 2008 13:07:04 +0100

=== debian/control ===
Source: kubuntu-konqueror-shortcuts
Section: kde
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Stephan Hermann <sh@sourcecode.de>
Build-Depends: debhelper (>= 5), kdelibs4c2a
Standards-Version: 3.7.3
Vcs-Bzr: http://bazaar.launchpad.net/~kubuntu-members/kubuntu-konqueror-shortcuts/trunk

Package: kubuntu-konqueror-shortcuts
Section: kde
Architecture: all
Depends:
Suggests: konqueror, konqueror-kde4
Description: Konqueror shortcuts for the Kubuntu wiki, Ubuntu Docs and Launchpad
 The main shortcuts are:
  ubw: Kubuntu Wiki Direct Access
  ubws: Kubuntu Wiki Search
  uhelp: Ubuntu Community Docs Direct Access
  uhelps: Ubuntu Community Docs Search
  upkg: Ubuntu Package Search
  ubug: Ubuntu Launchpad BugID and Term Search 
  usrc: Ubuntu Source Packages
  uproduct: Ubuntu Launchpad Product Bug Finder
  upeople: Ubuntu Launchpad People Finder
  bstorm: Ubuntu Brainstorm Ideas

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,6 @@
 	# Add here commands to install the package into debian/njam.
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/
 
-	# dh_install -a -pkubuntu-konqueror-shortcuts 
 # Build architecture-independent files here.
 
 binary-indep: install
@@ -46,6 +45,8 @@
 	dh_md5sums -a -pkubuntu-konqueror-shortcuts
 	dh_builddeb -a -pkubuntu-konqueror-shortcuts
 
+binary-arch: install
+	
 
-binary: binary-indep 
-.PHONY: clean binary-indep install 
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install

## kubuntu-konqueror-shortcuts 0.6

=== debian/changelog ===
kubuntu-konqueror-shortcuts (0.6) intrepid; urgency=low

  * The "KDE 3 is so yesterday" release
  * Makefile:
    - use kde4-config instead of kde-config to find services .desktop directory
    - don't run make install if make is run without arguments
  * debian/control:
    - removed Build-Deps-Indep on kdelibs4c2a
    - Build-Deps on kdelibs-bin
    - bumped debhelper Build-Deps to 7
    - bumped Standards-Version to 3.8.0.1, no changes needed
    - updated Vcs fields
    - removed Recommends on konqueror and konqueror-kde4
    - added back Dependency on konqueror
    - updated Description
  * debian/compat:
    - bumped to level 7 for new debian/rules
  * debian/rules:
    - Use debhelper 7 tiny rules file
  * debian/links.in, debian/dirs:
    - removed, not needed anymore

 -- Guillaume Martres <smarter@ubuntu.com>  Thu, 19 Jun 2008 18:49:05 +0200

kubuntu-konqueror-shortcuts (0.5.1) intrepid; urgency=low

  [ Daniel Hahler ]
  * Add "lp" shortcut to lpbug.desktop
  * Add lpcve.desktop: Provide "cve"/"lpcve" to open that CVE on
    Launchpad

  [ Guillaume Martres ]
  * debian/kubuntu-konqueror-shortcuts.X renamed to debian/X
    (only useful on multiple binaries packages)
  * Added debian/links.in, used by debian/rules to generate debian/links
    to create link from /usr/share/services/searchproviders to
    /usr/lib/kde4/share/kde4/services/searchproviders for KDE4
  * debian/rules:
    - added debian/links target
    - install .desktop in debian/kubuntu-konqueror-shortcuts, not debian/tmp
    - don't install ChangeLog
  * Removed debian/install, .desktop are now installed and linked
    in the right place by the Makefile
  * debian/control:
    - added Vcs-Browser field
    - Build-Deps on sed
  * debian/copyright:
    - added list of authors and copyright based on debian/changelog
  * README:
    - updated
  * Fixed Lintian build-depends-without-arch-dep and
    binary-arch-rules-but-pkg-is-arch-indep warnings
  * ChangeLog is now a link to debian/changelog
  * AUTHOR is now a link to debian/copyright
  * debian/docs:
    - don't install AUTHOR

 -- Guillaume Martres <smarter@ubuntu.com>  Thu, 27 Mar 2008 22:33:04 +0100

=== debian/control ===
Source: kubuntu-konqueror-shortcuts
Section: kde
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Stephan Hermann <sh@sourcecode.de>
Build-Depends: debhelper (>= 7), kdelibs-bin
Standards-Version: 3.8.0.1
Vcs-Bzr: lp:~kubuntu-members/kubuntu-konqueror-shortcuts/trunk
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kubuntu-konqueror-shortcuts/trunk

Package: kubuntu-konqueror-shortcuts
Section: kde
Architecture: all
Depends: konqueror
Description: Konqueror shortcuts for the Kubuntu wiki, Ubuntu Docs, Launchpad and more
 The main shortcuts are:
  ubw: Kubuntu Wiki Direct Access
  ubws: Kubuntu Wiki Search
  uhelp: Ubuntu Community Docs Direct Access
  uhelps: Ubuntu Community Docs Search
  upkg: Ubuntu Package Search
  ubug: Ubuntu Launchpad BugID and Term Search 
  usrc: Ubuntu Source Packages
  uproduct: Ubuntu Launchpad Product Bug Finder
  upeople: Ubuntu Launchpad People Finder
  bstorm: Ubuntu Brainstorm Ideas
 .
 See /usr/share/doc/kubuntu-konqueror-shortcuts/README for a full list

## kubuntu-konqueror-shortcuts 0.7

=== debian/changelog ===
kubuntu-konqueror-shortcuts (0.7) karmic; urgency=low

  * Add lp - general Launchpad search
  * Add lpcode - search project with code branches
  * Add lpblueprint - search blueprints
    + Also supports enhanced searches like lppeople
      lpblueprint:amarok project=ubuntu
      will return all blueprints mentioning amarok in the project ubuntu
  * Rename lpsource to usource (it's really Ubuntu source packages)
  * Rename lpproduct to lpbugproject and replace all keys with lpbugproject,
    might be longer but worth the clearness
  * Nuke lp key off lpbug's list, I wonder why lp would be used there anyway
  * Nuke upeople and uppl keys off lppeople's list, replaced by lppeople
    + Enhance URL so that it is now possible to search like
      lppeople:harald sitter type=peopleonly
      which would return no teams (vice versa would be type=teamsonly)
  * Nuke old lpbug keys
  * Fix brainstorm
  * Bump standards version to 3.8.3

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 07 Sep 2009 14:02:25 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Stephan Hermann <sh@sourcecode.de>
 Build-Depends: debhelper (>= 7), kdelibs-bin
-Standards-Version: 3.8.0.1
+Standards-Version: 3.8.3
 Vcs-Bzr: lp:~kubuntu-members/kubuntu-konqueror-shortcuts/trunk
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kubuntu-konqueror-shortcuts/trunk

## kubuntu-konqueror-shortcuts 10.04ubuntu1

=== debian/changelog ===
kubuntu-konqueror-shortcuts (10.04ubuntu1) lucid; urgency=low

  * Updates for Kubuntu 10.04
    + Change versioning scheme: version is target Kubuntu version + ubuntuN,
      only ubuntuN gets incremented for subsequent updates to the same
      Kubuntu series
  * Fix escaping in lppeople and lpblueprint (LP: #454409)
  * Change source download URL to homepage of LP project
  * Change Maintainer from Ubuntu Core Developers to Kubuntu Developers
  * Fix short description length
  * Add misc:Depends for debhelper (makes lintian happy)

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 25 Jan 2010 11:57:20 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
 Package: kubuntu-konqueror-shortcuts
 Section: kde
 Architecture: all
-Depends: konqueror
-Description: Konqueror shortcuts for the Kubuntu wiki, Ubuntu Docs, Launchpad and more
+Depends: konqueror, ${misc:Depends}
+Description: Konqueror shortcuts for the Kubuntu wiki, Ubuntu Docs, Launchpad...
  The main shortcuts are:
   ubw: Kubuntu Wiki Direct Access
   ubws: Kubuntu Wiki Search
@@ -25,4 +25,4 @@
   upeople: Ubuntu Launchpad People Finder
   bstorm: Ubuntu Brainstorm Ideas
  .
- See /usr/share/doc/kubuntu-konqueror-shortcuts/README for a full list  
+ See /usr/share/doc/kubuntu-konqueror-shortcuts/README for a full list

## kubuntu-konqueror-shortcuts 10.10ubuntu1

=== debian/changelog ===
kubuntu-konqueror-shortcuts (10.10ubuntu1) maverick; urgency=low

  [ Harald Sitter ]
  * Add kpackagecode - go to Kubuntu packaging branch
  * Add lpuser - go to Launchpad user page
  * Add lpppas - search for a PPA by name
  * Update my copyright + use proper copyright symbols throughout the file

  [ Jonathan Riddell ]
  * Depend on rekonq or konqueror

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 22 Jul 2010 09:42:15 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Package: kubuntu-konqueror-shortcuts
 Section: kde
 Architecture: all
-Depends: konqueror, ${misc:Depends}
+Depends: rekonq | konqueror, ${misc:Depends}
 Description: Konqueror shortcuts for the Kubuntu wiki, Ubuntu Docs, Launchpad...
  The main shortcuts are:
   ubw: Kubuntu Wiki Direct Access

## kubuntu-konqueror-shortcuts 11.04ubuntu1

=== debian/changelog ===
kubuntu-konqueror-shortcuts (11.04ubuntu1) natty; urgency=low

  * Add uman - search Ubuntu Manuals/manpages

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 14 Nov 2010 22:59:51 +0100
